LEI-REINDEX(1)

NAME
lei-reindex - reindex messages already in lei/store

SYNOPSIS
lei reindex [OPTIONS]

DESCRIPTION
Forces a re-index of all messages previously-indexed by lei-import(1) or lei-index(1). This can be used for in-place upgrades and bugfixes while other processes are querying the store. Keep in mind this roughly doubles the size of the already-large Xapian database.

It does not re-index messages in externals, using the "--reindex" switch of public-inbox-index(1) or public-inbox-extindex(1) is needed for that.

OPTIONS

-q
--quiet
    Suppress feedback messages.

CONTACT
Feedback welcome via plain-text mail to <mailto:meta@public-inbox.org>

The mail archives are hosted at <https://public-inbox.org/meta/> and <http://4uok3hntl7oi7b4uf4rtfwefqeexfzil2w6kgk2jn5z2f764irre7byd.onion/meta/>

COPYRIGHT
Copyright all contributors <mailto:meta@public-inbox.org>

License: AGPL-3.0+ <https://www.gnu.org/licenses/agpl-3.0.txt>

SEE ALSO
lei-index(1), lei-import(1)